package com.css.txw.mhzc.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.css.txw.mhzc.pojo.domain.TxwMhzcQyxxbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_mhzc_qyxxb(企业信息表)】的数据库操作Mapper
* @createDate 2025-09-11 14:10:56
* @Entity com.css.txw.mhzc.pojo.domain.TxwMhzcQyxxb
*/
public interface TxwMhzcQyxxbMapper extends BaseMapper<TxwMhzcQyxxbDO> {

    default List<TxwMhzcQyxxbDO> getByNsrsbh(String nsrsbh){
        QueryWrapper<TxwMhzcQyxxbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(TxwMhzcQyxxbDO::getNsrsbh,nsrsbh);
        return selectList(wrapper);
    }

    default List<TxwMhzcQyxxbDO> getGxQy(String ywlx){
        QueryWrapper<TxwMhzcQyxxbDO> wrapper = new QueryWrapper<>();
        wrapper.eq(ywlx,"Y").lambda()
                .eq(TxwMhzcQyxxbDO::getYxbz,"Y");
        return selectList(wrapper);
    }

    default void qyrz(String nsrsbh){
        UpdateWrapper<TxwMhzcQyxxbDO> wrapper = new UpdateWrapper<>();
        wrapper.lambda().eq(TxwMhzcQyxxbDO::getNsrsbh,nsrsbh)
        .set(TxwMhzcQyxxbDO::getGxdtrzbz,"Y");
        update(wrapper);
    }
}




